import { Children, forwardRef } from "react";
import { Inline } from "../../layout";
import { augmentElement, mergeProps, omitProps } from "../../shared";
import { useFormContext } from "./FormContext";
import { jsx as _jsx } from "react/jsx-runtime";
const DefaultElement = "div";
export function InnerRow(props) {
  const [formProps] = useFormContext();
  const {
    as = DefaultElement,
    children,
    fluid,
    forwardedRef,
    ...rest
  } = mergeProps(props, omitProps(formProps, ["disabled"]));
  return /*#__PURE__*/_jsx(Inline, { ...mergeProps(rest, {
      align: "start",
      as,
      fluid,
      gap: 4,
      ref: forwardedRef
    }),
    children: Children.toArray(children).filter(x => x).map(x => {
      return augmentElement(x, {
        fluid
      });
    })
  });
}
export const Row = /*#__PURE__*/forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerRow, { ...props,
  forwardedRef: ref
}));