import { ReactNode } from "react";
export declare const Breakpoints: {
    md: string;
    lg: string;
};
export declare type Breakpoint = keyof typeof Breakpoints;
export interface BreakpointContextType {
    breakpoint?: Breakpoint;
}
export declare const BreakpointContext: import("react").Context<BreakpointContextType>;
export interface BreakpointProvider {
    children: ReactNode;
    defaultBreakpoint?: Breakpoint;
}
export declare function BreakpointProvider({ children, defaultBreakpoint }: BreakpointProvider): JSX.Element;
export declare function useBreakpointContext(): BreakpointContextType;
export declare function useBreakpoint(): "md" | "lg";
